=== modified file 'INSTALL'
--- INSTALL	2014-07-25 22:44:20 +0000
+++ INSTALL	2014-07-17 02:45:02 +0000
@@ -41,11 +41,12 @@
     + GnuTLS 2.4          http://www.gnutls.org/
       Note: GnuTLS 3 will only work with Python-GnuTLS 2
     + Avahi 0.6.16        http://www.avahi.org/
-    + Python 2.7          https://www.python.org/
+    + Python 2.6          https://www.python.org/
     + Python-GnuTLS 1.1.5 https://pypi.python.org/pypi/python-gnutls/
     + dbus-python 0.82.4  http://dbus.freedesktop.org/doc/dbus-python/
     + PyGObject 2.14.2    https://developer.gnome.org/pygobject/
     + pkg-config  http://www.freedesktop.org/wiki/Software/pkg-config/
+    + Python-argparse     https://pypi.python.org/pypi/argparse
     + Urwid 1.0.1         http://urwid.org/
       (Only needed by the "mandos-monitor" tool.)
     
@@ -140,5 +141,3 @@
   If IPsec is not used and SSH is not installed, it is suggested that
   a more cryptographically secure checker program is used and
   configured, since, without IPsec, ping packets can be faked.
-
-#+STARTUP: showall

=== modified file 'debian/control'
--- debian/control	2014-07-25 22:44:20 +0000
+++ debian/control	2014-07-12 12:54:13 +0000
@@ -7,8 +7,9 @@
 Build-Depends: debhelper (>= 9), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
 	pkg-config
-Build-Depends-Indep: systemd, python2.7, python2.7-gnutls,
-	python2.7-dbus, python2.7-avahi, python2.7-gobject
+Build-Depends-Indep: systemd, python (>=2.6), python-gnutls,
+	python-dbus, python-avahi, python-gobject,
+	python (>=2.7) | python-argparse
 Standards-Version: 3.9.5
 Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
@@ -16,11 +17,10 @@
 
 Package: mandos
 Architecture: all
-Depends: ${misc:Depends}, python (<= 2.7), python2.7, python-gnutls,
-	python2.7-gnutls, python-dbus, python2.7-dbus, python-avahi,
-	python2.7-avahi, python-gobject, python2.7-gobject,
-	avahi-daemon, adduser, python-urwid, python2.7-urwid,
-	gnupg (<< 2), initscripts (>= 2.88dsf-13.3)
+Depends: ${misc:Depends}, python (>=2.6), python-gnutls, python-dbus,
+	python-avahi, python-gobject, avahi-daemon, adduser,
+	python-urwid, python (>=2.7) | python-argparse, gnupg (<< 2),
+	initscripts (>= 2.88dsf-13.3)
 Recommends: ssh-client | fping
 Description: server giving encrypted passwords to Mandos clients
  This is the server part of the Mandos system, which allows

=== modified file 'mandos'
--- mandos	2014-07-25 22:48:57 +0000
+++ mandos	2014-07-24 01:35:55 +0000
@@ -1,4 +1,4 @@
-#!/usr/bin/python2.7
+#!/usr/bin/python
 # -*- mode: python; coding: utf-8 -*-
 # 
 # Mandos server - give out binary blobs to connecting clients.
@@ -2774,8 +2774,8 @@
                 
                 # A list of attributes that can not be pickled
                 # + secret.
-                exclude = { "bus", "changedstate", "secret",
-                            "checker", "server_settings" }
+                exclude = set(("bus", "changedstate", "secret",
+                               "checker", "server_settings"))
                 for name, typ in (inspect.getmembers
                                   (dbus.service.Object)):
                     exclude.add(name)

